Retrieve a spending card | Moov Documentation

Retrieve a spending card

Retrieve a single issued card associated with a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

Request

Method

GET

Endpoint

/issuing/{accountID}/cards/{issuedCardID}

Example Requests

cURL

curl -X GET "https://api.moov.io/issuing/{accountID}/cards/{issuedCardID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.cardIssuing.get({
    accountID: "4fde8da4-b6c5-4379-82a2-4ff6a742e41a",
    issuedCardID: "d04885c9-ea6b-43a7-9186-63d9fbd57716",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->cardIssuing->get(
    accountID: '4fde8da4-b6c5-4379-82a2-4ff6a742e41a',
    issuedCardID: 'd04885c9-ea6b-43a7-9186-63d9fbd57716'
);

if ($response->issuedCard !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetIssuedCardResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetIssuedCardResponse res = sdk.cardIssuing().get()
                .accountID("4fde8da4-b6c5-4379-82a2-4ff6a742e41a")
                .issuedCardID("d04885c9-ea6b-43a7-9186-63d9fbd57716")
                .call();

if (res.issuedCard().isPresent()) {
            System.out.println(res.issuedCard().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.card_issuing.get(account_id="4fde8da4-b6c5-4379-82a2-4ff6a742e41a", issued_card_id="d04885c9-ea6b-43a7-9186-63d9fbd57716")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.card_issuing.get(account_id: '4fde8da4-b6c5-4379-82a2-4ff6a742e41a', issued_card_id: 'd04885c9-ea6b-43a7-9186-63d9fbd57716')

unless res.issued_card.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.CardIssuing.GetAsync(
    accountID: "4fde8da4-b6c5-4379-82a2-4ff6a742e41a",
    issuedCardID: "d04885c9-ea6b-43a7-9186-63d9fbd57716"
);

// handle response

Response Structure

Example JSON

{
  "issuedCardID": "string",
  "brand": "Visa",
  "lastFourCardNumber": "string",
  "expiration": {
    "month": "01",
    "year": "21"
  },
  "fundingWalletID": "string",
  "authorizedUserAccountID": "string",
  "nickname": "string",
  "metadata": {
    "optional": "metadata"
  },
  "billingAddress": {
    "addressLine1": "123 Main Street",
    "addressLine2": "Apt 302",
    "city": "Boulder",
    "stateOrProvince": "CO",
    "postalCode": "80301",
    "country": "US"
  },
  "state": "active",
  "formFactor": "virtual",
  "controls": {
    "singleUse": true,
    "velocityLimits": [
      {
        "amount": 10000,
        "interval": "per-transaction"
      }
    ]
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z"
}

Response Headers

A unique identifier used to trace requests.

Error Responses

API Versioning

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible Values

Parameters